## NAME

r.bitpattern - Compares bit patterns with a raster map.

## KEYWORDS

raster, map algebra

## SYNOPSIS

r.bitpattern
r.bitpattern help
r.bitpattern [-q] input=name output=name pattern=integer patval=integer [--overwrite] [--verbose] [--quiet]

### Flags:

-q
  Quiet
--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=name
  Name of input raster map
output=name
  Name for output raster map
pattern=integer
  Bit pattern position(s)
patval=integer
  Bit pattern value

## DESCRIPTION

r.bitpattern performs bit pattern comparisons. The module can be used to pixelwise verify a satellite image for low quality pixels if a Quality Control Bit Index map is provided (e.g. as for MODIS sensor maps). The functionality is two-fold:

1. define position: set bit(s) to 1 which shall match, then convert this position pattern to integer, set pattern= parameter with that integer value
2. define pattern *value* which should be in that position: first bit pattern of value, convert to integer, set patval= parameter

If several bitpatterns have to be tested, the resulting maps can be used to exclude low quality pixel in the input satellite image using r.mapcalc (OR and NOT operators).

## EXAMPLE

1. define position:

       	xx xx 1x xx
       	binary: 1000 -> integer: 8 -> pattern=8

2. define value:

               Ex.: we want to check for 0 in that position
       	xx xx 0x xx
       	binary: 0000 -> integer: 0 -> patval=0
               if value can be arbitray (0/1), then assume 0 value

## SEE ALSO

r.mapcalc

## AUTHORS

Radim Blazek, Markus Neteler

Last changed: $Date: 2008-05-16 21:09:06 +0200 (pá, 16 V 2008) $

Main index - raster index - Full index

© 2003-2014 GRASS Development Team